/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.deploy.deployable.impl;

import org.ow2.util.archive.api.IFileArchive;
import org.ow2.util.ee.deploy.impl.deployable.AbsDeployable;
import org.ow2.util.plan.bindings.repository.Repositories;
import org.ow2.util.plan.deploy.deployable.api.RepositoryDeployable;


/**
 * Implementation for the Repository deployable.
 *
 * @author mleduque
 *
 */
public class RepositoryDeployableImpl extends AbsDeployable<RepositoryDeployable> implements RepositoryDeployable {

    /**
     * The attached Repositories object.
     */
    private Repositories attachedRepositories = null;

    /**
     * Constructs a repository list deployable from a FileArchive.
     * @param archive the archive
     */
    public RepositoryDeployableImpl(final IFileArchive archive) {
        super(archive);
    }

    /**
     * {@inheritDoc}
     */
    public Repositories getAttachedData() {
        return this.attachedRepositories;
    }

    /**
     * {@inheritDoc}
     */
    public void setAttachedData(final Repositories attachedData) {
        this.attachedRepositories = attachedData;
    }


}
