/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.fetcher.impl.url;

import org.ow2.util.plan.bindings.deploymentplan.DeploymentPlanFragment;
import org.ow2.util.plan.bindings.deploymentplan.url.UrlDeployment;
import org.ow2.util.plan.fetcher.api.IResourceFetcher;
import org.ow2.util.plan.fetcher.api.exceptions.FetcherFactoryException;
import org.ow2.util.plan.fetcher.impl.AbsResourceFetcherFactoryImpl;

/**
 * Implementation of the factory for URL resource fetchers.
 * @author Mickaël LEDUQUE
 */
public class UrlResourceFetcherFactory extends AbsResourceFetcherFactoryImpl {

    /**
     * Default constructor.
     */
    public UrlResourceFetcherFactory() {
        this.setFetcherConcreteClass(UrlResourceFetcher.class);
    }

    /**
     * {@inheritDoc}
     */
    public Class<? extends DeploymentPlanFragment> getSupportedClass() {
        return UrlDeployment.class;
    }

    /**
     * {@inheritDoc}
     */
    public IResourceFetcher getResourceFetcher(DeploymentPlanFragment fragment) throws FetcherFactoryException {
        UrlResourceFetcher fetcher = (UrlResourceFetcher) super.getResourceFetcher(fragment);
        return fetcher;
    }
}
