/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.reader;

import javax.xml.bind.JAXBException;
import javax.xml.bind.ValidationEventHandler;

import org.ow2.util.plan.bindings.schemastream.ISchemaStreamFactory;

/**
 * Interface from reader object that will unmarshall object from known
 * XML files.
 * @author mleduque
 */
public interface IReader {

    /**
     * Sets the validation handler that will be used.
     * @param handler the new handler.
     * @throws JAXBException
     */
    void setValidationEventHandler(ValidationEventHandler handler) throws JAXBException;

    /**
     * Gets the validation handler.
     * @return the validation handler.
     * @throws JAXBException
     */
    ValidationEventHandler getValidationEventHandler() throws JAXBException;

    void setValidation(boolean validate) throws ReaderException;

    boolean isValidating();

    void setSchemaStreamFactory(ISchemaStreamFactory factory);

    ISchemaStreamFactory getSchemaStreamFactory();
}