/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.reader.plan;

import java.io.File;
import java.io.IOException;

import org.ow2.util.plan.bindings.deploymentplan.DeploymentPlan;
import org.ow2.util.plan.reader.IReader;
import org.ow2.util.plan.reader.ReaderException;

/**
 * Interface for the IReader objects that read DeploymentPlan objects.
 * @author mleduque
 */
public interface IPlanReader extends IReader {

    /**
     * Unmarshalls a Deploymentplan object from the given file.
     * @param file the file that will be read.
     * @return the DeploymentPlan object unmarshalled from the file.
     * @throws IOException in case of IO errors.
     * @throws ReaderException in case of parsing errors.
     */
    DeploymentPlan readPlan(File file)
        throws IOException, ReaderException;
}
