/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.bindings.schemastream;

import java.io.InputStream;

/**
 * Implementation for the ISchemaStreamFactory.
 * @author Mickaël LEDUQUE
 */
public class SchemaStreamFactoryImpl implements ISchemaStreamFactory {

    /**
     * Path to the schema resources.
     */
    private final static String XSD_PATH = "/org/ow2/util/plan/bindings/schema/";

    /**
     * {@inheritDoc}
     */
    public InputStream getSchemaStream(final String schemaResourceName) {
        String fullName = XSD_PATH + schemaResourceName;
        return SchemaStreamFactoryImpl.class.getResourceAsStream(fullName);
    }

}
